/*
  Name: mpcUnit.h
  Copyright: Polecatsoft 2005
  Game: Mercenary Soldier
  Author: Master Lenman
  Date: -
  Description: This unit type is used on the client side of MP games
*/

#ifndef MPC_UNIT
#define MPC_UNIT

#include <string>
#include "Entity.h"

class mpcUnit : public Entity
{
private:
	bool active;
	int phase;
	std::string name;
	int points;
	BITMAP **bitmaps;
public:
	mpcUnit();
	void setSprites(BITMAP **sprites);
	bool isActive();
	void join(std::string sname, int spoints);
	void leave();
	void draw(int camX, int camY, int myID);
	int getPoints();
	std::string getName();
	int &getPhase();
	void updatePhase();
};

#endif
